# Yahoo! UI Library

### Charts Widget 2.8.2r1

Yahoo! UI Library > charts > YAHOO.widget.CartesianChart
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.widget.CartesianChart - uses YAHOO.widget.Chart

CartesianChart class for the YUI Charts widget.

### Constructor

YAHOO.widget.CartesianChart `( type , containerId , dataSource , attributes )`

Parameters:
  `type <String>` The char type. May be "line", "column", or "bar"
  `containerId <HTMLElement>` Container element for the Flash Player instance.
  `dataSource <YAHOO.util.DataSource>` DataSource instance.
  `attributes <object>` (optional) Object literal of configuration values.

### Properties

#### _xAxisLabelFunctions - `private String`

Stores a reference to the xAxis labelFunction created by YAHOO.widget.Chart.createProxyFunction()

#### _yAxisLabelFunctions - `private Array`

Stores a reference to the yAxis labelFunctions created by YAHOO.widget.Chart.createProxyFunction()

#### Properties inherited from YAHOO.widget.Chart:

`_attributes, _containerID, _dataSource, _dataTipFunction, _id, _initialized, _legendLabelFunction, _pollingID, _pollingInterval, _request, _seriesDefs, _seriesFunctions, _swf, _swfEmbed, _swfURL, _type`

#### Properties inherited from YAHOO.util.AttributeProvider:

`_configs`

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

### Methods

#### _getClonedAxis

`private void _getClonedAxis ( )`
Receives an axis object, creates a proxy function for the labelFunction and returns the updated object.

#### _getXField

`private void _getXField ( )`
Getter for the xField attribute.

#### _getYField

`private void _getYField ( )`
Getter for the yField attribute.

#### _initAttributes

`private void _initAttributes ( )`
Initializes the attributes.

#### _removeAxisFunctions

`private void _removeAxisFunctions ( )`
Removes axis functions contained in an array

#### _setConstrainViewport

`private void _setConstrainViewport ( )`
Setter for the constrainViewport attribute

#### _setXAxes

`private void _setXAxes ( )`
Setter for the xAxes attribute

#### _setXAxis

`private void _setXAxis ( )`
Setter for the xAxis attribute.

#### _setXField

`private void _setXField ( )`
Setter for the xField attribute.

#### _setYAxes

`private void _setYAxes ( )`
Setter for the yAxes attribute.

#### _setYAxis

`private void _setYAxis ( )`
Setter for the yAxis attribute.

#### _setYField

`private void _setYField ( )`
Setter for the yField attribute.

#### setSeriesStylesByIndex

`void setSeriesStylesByIndex ( index , style )`
Sets the style object for a single series based on its index

Parameters:
  `index <Number>` The position within the series definition to apply the style
  `style <object>` Style object to be applied to the selected series

#### Methods inherited from YAHOO.widget.Chart:

`_eventHandler, _getAltText, _getCategoryNames, _getDataSource, _getPolling, _getRequest, _getSeriesDefs, _getSWFURL, _initAttributes, _loadDataHandler, _loadHandler, _setAltText, _setCategoryNames, _setDataSource, _setDataTipFunction, _setLegendLabelFunction, _setPolling, _setRequest, _setSeriesDefs, refreshData, setSeriesStyles, setStyle, setStyles, toString`

#### Methods inherited from YAHOO.util.AttributeProvider:

`configureAttribute, fireBeforeChangeEvent, fireChangeEvent, get, getAttributeConfig, getAttributeKeys, refresh, register, resetAttributeConfig, resetValue, set, setAttributeConfig, setAttributes`

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

### Events

#### beforeConstrainViewportChange

`beforeConstrainViewportChange ( event )`
Fires before the value for the configuration attribute 'constrainViewport' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeXAxesChange

`beforeXAxesChange ( event )`
Fires before the value for the configuration attribute 'xAxes' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeXAxisChange

`beforeXAxisChange ( event )`
Fires before the value for the configuration attribute 'xAxis' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeXFieldChange

`beforeXFieldChange ( event )`
Fires before the value for the configuration attribute 'xField' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeYAxesChange

`beforeYAxesChange ( event )`
Fires before the value for the configuration attribute 'yAxes' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeYAxisChange

`beforeYAxisChange ( event )`
Fires before the value for the configuration attribute 'yAxis' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeYFieldChange

`beforeYFieldChange ( event )`
Fires before the value for the configuration attribute 'yField' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### constrainViewportChange

`constrainViewportChange ( event )`
Fires when the value for the configuration attribute 'constrainViewport' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### xAxesChange

`xAxesChange ( event )`
Fires when the value for the configuration attribute 'xAxes' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### xAxisChange

`xAxisChange ( event )`
Fires when the value for the configuration attribute 'xAxis' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### xFieldChange

`xFieldChange ( event )`
Fires when the value for the configuration attribute 'xField' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### yAxesChange

`yAxesChange ( event )`
Fires when the value for the configuration attribute 'yAxes' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### yAxisChange

`yAxisChange ( event )`
Fires when the value for the configuration attribute 'yAxis' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### yFieldChange

`yFieldChange ( event )`
Fires when the value for the configuration attribute 'yField' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### Events inherited from YAHOO.widget.Chart:

`altTextChange, backgroundColorChange, beforeAltTextChange, beforeBackgroundColorChange, beforeCategoryNamesChange, beforeDataSourceChange, beforeDataTipFunctionChange, beforeExpressInstallChange, beforeLegendLabelFunctionChange, beforePollingChange, beforeRequestChange, beforeSeriesChange beforeSwfURLChange beforeVersionChange beforeWmodeChange categoryNamesChange contentReady dataSourceChange dataTipFunctionChange expressInstallChange itemClickEvent itemDoubleClickEvent itemDragEndEvent itemDragEvent itemDragStartEvent itemMouseOutEvent itemMouseOverEvent legendLabelFunctionChange pollingChange requestChange seriesChange swfURLChange versionChange wmodeChange`

### Configuration Attributes

#### constrainViewport `- Boolean`

Determines whether the viewport is constrained to prevent series data from overflow.

#### xAxes `- Array`

Custom configurations for the horizontal x axes.

#### xAxis `- Axis`

A custom configuration for the horizontal x axis.

#### xField `- String`

The field in each item that corresponds to a value on the x axis.

#### yAxes `- Array`

Custom configurations for the vertical y axes.

#### yAxis `- Axis`

A custom configuration for the vertical y axis.

#### yField `- String`

The field in each item that corresponds to a value on the x axis.

#### Configuration attributes inherited from YAHOO.widget.Chart:

`altText, backgroundColor, categoryNames, dataSource, dataTipFunction, expressInstall, legendLabelFunction polling request series swfURL version wmode`

Copyright © 2010 Yahoo! Inc. All rights reserved.